//package sablon;

/*
  Feladat: 
    Ismétlés nélküli kombináció - táblázatkitöltéssel 1
*/

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;


public class feladat {

    public feladat() {
    }

    static final int MaxN = 60;//64 bites egéssz szám (long) esetén a Bin(N,K) nem biztos, hogy belefér, ha N>MaxN
	
    static class Input {
        int N;
        int K;
    }

    static class Output {
        long bnk;
    }

    static Input beolvas(IO io) throws IOException {
        Input input = new Input();
        input.N = io.nextInt();
        input.K = io.nextInt();
        return input;
    }
	
	static void kiir(IO io, Input input, Output output) throws IOException {
		io.writeLn(""+input.N+" alatt a(z) "+input.K+" = "+output.bnk);
    }

	static long Binom(int n, int k) {
		//Szélek feltöltése:
		long B[][]=new long[MaxN+1][MaxN+1];
		for (int i=0;i<=n;i++) {
			B[i][i]=1;
			B[i][0]=1;
		}
		for (int i=1;i<=n;i++) {
			for (int j=1;j<=i-1;j++) {
				B[i][j]=B[i-1][j-1]+B[i-1][j];
			}
		}
		return B[n][k];
	}
	
	static Output megold(Input input) {
		Output output = new Output();
		output.bnk=Binom(input.N,input.K);
		return output;
	}
   
    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = megold(input);

        kiir(io, input, output);

        io.close();
    }

}